## org.apache.tools.ant
Class MagicNames

    java.lang.Object
      |
      +--org.apache.tools.ant.MagicNames

public class MagicNames
extends java.lang.Object

Magic names used within Ant. Not all magic names are here yet.

Since:
  Ant 1.6
Author:
  Conor MacNeill

Field Summary
`static java.lang.String` `SCRIPT_REPOSITORY` The name of the script repository used by the script repo task
`static java.lang.String` `SYSTEM_LOADER_REF` The name of the reference to the System Class Loader

Constructor Summary
`MagicNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCRIPT_REPOSITORY

    public static final java.lang.String SCRIPT_REPOSITORY

  The name of the script repository used by the script repo task

  See Also:
    Constant Field Values

### SYSTEM_LOADER_REF

    public static final java.lang.String SYSTEM_LOADER_REF

  The name of the reference to the System Class Loader

  See Also:
    Constant Field Values

Constructor Detail

### MagicNames

    public MagicNames()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.